/*
 * Copyright © 2007 Global Locate.
 *
 * Written by Ken Yale.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef  PAGE_STRESS_H__                // {
#define  PAGE_STRESS_H__

#ifndef  PAGE_STRESS_H__                // {
#include "page_stress.h"
#endif                                  // }

#ifndef  __GLIB_H__                // {
#include <glib.h>
#endif                             // }

#define PAGE_STRESS
// #undef  PAGE_STRESS

//      Unfortunately, the stress test requires
//      the g_timeout_add_seconds() api which is
//      present in GTK+ v2.14 and later only....

#if (    ((GLIB_MAJOR_VERSION == 2) && (GLIB_MINOR_VERSION >= 14)) \
      ||  (GLIB_MAJOR_VERSION >  2)   )
#else
#undef  OPT_STRESS_FEATURE
#endif

#endif                  // }
